Resent-Date: Tue, 9 Feb 1999 21:38:57 +0100 (MET)
Date: Tue, 9 Feb 1999 20:39:00 GMT
From: Jesper Skov <jskov@cygnus.co.uk>
To: linux-m68k@lists.linux-m68k.org
Subject: pre1 patches
Resent-From: linux-m68k@phil.uni-sb.de

A few fixes for pre1.

Jesper



kernel-options.txt: Fixed virge/cyber references
block/Makefile:     IDE module build
char/z2ram.c:       Module build fix
scsi/53c7xx.c:      (Part of) empty CD mount fix. Might want Richard to verify.
scsi/Makefile:      Oktagon .S file fix
scsi/amiga7xx.c:    Get __init definition.
scsi/hosts.c:       BLZ603 config option change
scsi/oktagon_io.S:  CONFIG_AMIGA is also defined for APUS. Fix conflict.
init/main.c:        BLZ603 config option change


diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.2.1pre1/Documentation/m68k/kernel-options.txt ./Documentation/m68k/kernel-options.txt
--- /home/jskov/kernel/dist/linux-2.2.1pre1/Documentation/m68k/kernel-options.txt	Mon Jan 11 20:30:08 1999
+++ ./Documentation/m68k/kernel-options.txt	Tue Feb  9 21:15:12 1999
@@ -705,10 +705,11 @@
 Syntax: video=<fbname>:<sub-options...>
 
 The <fbname> parameter specifies the name of the frame buffer, valid
-options are `amifb', `cyberfb', `retz3' and `clgen', provided that the
-respective frame buffer devices have been compiled into the kernel (or
-compiled as loadable modules). The behavior of the <fbname> option was
-changed in 2.1.57 so it is now recommended to specify this option.
+options are `amifb', `cyber', 'virge', `retz3' and `clgen', provided
+that the respective frame buffer devices have been compiled into the
+kernel (or compiled as loadable modules). The behavior of the <fbname>
+option was changed in 2.1.57 so it is now recommended to specify this
+option.
 
 The <sub-options> is a comma-separated list of the sub-options listed
 below. This option is organized similar to the Atari version of the
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.2.1pre1/drivers/block/Makefile ./drivers/block/Makefile
--- /home/jskov/kernel/dist/linux-2.2.1pre1/drivers/block/Makefile	Mon Jan 11 20:30:10 1999
+++ ./drivers/block/Makefile	Fri Jan 22 21:28:34 1999
@@ -353,5 +353,5 @@
 
 include $(TOPDIR)/Rules.make
 
-ide-mod.o: ide.o $(IDE_OBJS)
-	$(LD) $(LD_RFLAG) -r -o $@ ide.o $(IDE_OBJS)
+ide-mod.o: ide.o ide-proc.o $(IDE_OBJS)
+	$(LD) $(LD_RFLAG) -r -o $@  ide.o ide-proc.o $(IDE_OBJS)
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.2.1pre1/drivers/block/z2ram.c ./drivers/block/z2ram.c
--- /home/jskov/kernel/dist/linux-2.2.1pre1/drivers/block/z2ram.c	Fri Feb  5 20:40:01 1999
+++ ./drivers/block/z2ram.c	Fri Feb  5 20:42:52 1999
@@ -32,10 +32,7 @@
 #include <linux/malloc.h>
 #include <linux/blk.h>
 #include <linux/init.h>
-
-#if defined(MODULE)
 #include <linux/module.h>
-#endif
 
 #include <asm/setup.h>
 #include <asm/bitops.h>
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.2.1pre1/drivers/scsi/53c7xx.c ./drivers/scsi/53c7xx.c
--- /home/jskov/kernel/dist/linux-2.2.1pre1/drivers/scsi/53c7xx.c	Mon Jan 11 20:30:15 1999
+++ ./drivers/scsi/53c7xx.c	Mon Jan 11 20:48:01 1999
@@ -3197,7 +3197,6 @@
     case MODE_SELECT: 
     case WRITE_6:
     case WRITE_10:
-    case START_STOP: /* also SCAN, which may do DATA OUT */
 #if 0
 	printk("scsi%d : command is ", host->host_no);
 	print_command(cmd->cmnd);
@@ -3218,6 +3217,7 @@
      */
     case TEST_UNIT_READY:
     case ALLOW_MEDIUM_REMOVAL:
+    case START_STOP:
     	datain = dataout = 0;
 	break;
     /*
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.2.1pre1/drivers/scsi/Makefile ./drivers/scsi/Makefile
--- /home/jskov/kernel/dist/linux-2.2.1pre1/drivers/scsi/Makefile	Fri Feb  5 20:40:03 1999
+++ ./drivers/scsi/Makefile	Fri Feb  5 21:58:22 1999
@@ -18,7 +18,7 @@
 CFLAGS_seagate.o =   -DARBITRATE -DPARITY -DSEAGATE_USE_ASM
 
 .SUFFIXES:
-.SUFFIXES: .c .o .h .a
+.SUFFIXES: .c .o .h .a .S
 
 ifeq (${CFLAGS},)
 CFLAGS = -D__KERNEL__=1 \
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.2.1pre1/drivers/scsi/amiga7xx.c ./drivers/scsi/amiga7xx.c
--- /home/jskov/kernel/dist/linux-2.2.1pre1/drivers/scsi/amiga7xx.c	Mon Jan 18 20:26:47 1999
+++ ./drivers/scsi/amiga7xx.c	Mon Jan 18 21:10:20 1999
@@ -22,6 +22,7 @@
 #include <asm/amigahw.h>
 #include <asm/io.h>
 #include <asm/irq.h>
+#include <asm/init.h>
 
 #include "scsi.h"
 #include "hosts.h"
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.2.1pre1/drivers/scsi/hosts.c ./drivers/scsi/hosts.c
--- /home/jskov/kernel/dist/linux-2.2.1pre1/drivers/scsi/hosts.c	Fri Feb  5 20:40:04 1999
+++ ./drivers/scsi/hosts.c	Fri Feb  5 20:43:00 1999
@@ -47,7 +47,7 @@
     defined(CONFIG_WARPENGINE_SCSI) || \
     defined(CONFIG_A4091_SCSI) || \
     defined (CONFIG_GVP_TURBO_SCSI) || \
-    defined (CONFIG_BLZ603E)
+    defined (CONFIG_BLZ603EPLUS_SCSI)
 #define AMIGA7XXCONFIG
 #endif
 
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.2.1pre1/drivers/scsi/oktagon_io.S ./drivers/scsi/oktagon_io.S
--- /home/jskov/kernel/dist/linux-2.2.1pre1/drivers/scsi/oktagon_io.S	Fri Feb  5 20:40:04 1999
+++ ./drivers/scsi/oktagon_io.S	Fri Feb  5 21:57:14 1999
@@ -94,7 +94,7 @@
 	.long	exp1,ret1
 	.long	exp2,ret2
 
-#endif
+#else
 
 /*
 The code which follows is for 680x0 based assembler and is meant for
@@ -191,4 +191,5 @@
 	.long	exp1,ret1
 	.long	exp2,ret2
 
+#endif
 #endif
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.2.1pre1/init/main.c ./init/main.c
--- /home/jskov/kernel/dist/linux-2.2.1pre1/init/main.c	Fri Feb  5 20:40:10 1999
+++ ./init/main.c	Fri Feb  5 20:43:28 1999
@@ -788,7 +788,8 @@
 #endif
 #if defined(CONFIG_A4000T_SCSI) || defined(CONFIG_WARPENGINE_SCSI) \
 	    || defined(CONFIG_A4091_SCSI) || defined(CONFIG_MVME16x_SCSI) \
-	    || defined(CONFIG_BVME6000_SCSI)
+	    || defined(CONFIG_BVME6000_SCSI) \
+	    || defined(CONFIG_BLZ603EPLUS_SCSI)
         { "53c7xx=", ncr53c7xx_setup },
 #endif
 #if defined(CONFIG_A3000_SCSI) || defined(CONFIG_A2091_SCSI) \

